Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004532OCamlCamlp4public2008-04-11 11:142010-04-29 14:31
Reporterberke 
Assigned Toertai 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.1 
Target VersionFixed in Version3.11+dev 
Summary0004532: camlp4o tuple versus if-then-else conditional precedence does not match the Yacc parser
DescriptionThe following two files, while equivalent under Ocaml's Yacc parser, are not
under camlp4o. This can cause type errors or undetected bugs.

File p1.ml:

let x =
  [ "a", if true then 1 else 2;
    "b", 3 ]

let x =
  [ "a", (if true then 1 else 2);
    "b", 3 ]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004660)
ertai (developer)
2008-10-04 18:54

Thanks for the report, this in now fixed in the CVS.

PS: However one should perhaps avoid to rely on this kind of precedence...

- Issue History
Date Modified Username Field Change
2008-04-11 11:14 berke New Issue
2008-08-01 16:39 xleroy Assigned To => ertai
2008-08-01 16:39 xleroy Status new => assigned
2008-10-04 18:54 ertai Note Added: 0004660
2008-10-04 18:54 ertai Status assigned => resolved
2008-10-04 18:54 ertai Resolution open => fixed
2008-10-04 18:54 ertai Fixed in Version => 3.11+dev
2010-04-29 14:31 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker